# $Revision: 1.26 $, $Date: 2008/07/27 23:00:41 $
Summary:	Library of Abstract Data Types
Summary(pl.UTF-8):	Biblioteka abstrakcyjnych typów danych (ADT)
Name:		vanessa_adt
Version:	0.0.7
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.vergenet.net/linux/vanessa/download/vanessa_adt/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e7952bc3ae35a0a042cfe370bc03ce88
URL:		http://www.vergenet.net/linux/vanessa/
BuildRequires:	autoconf
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	vanessa_logger-devel >= 0.0.4
Requires:	vanessa_logger >= 0.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library of Abstract Data Types (ADTs) that may be useful. Includes
queue, dynamic array and key value ADT.

%description -l pl.UTF-8
Biblioteka abstrakcyjnych typów danych (ADT = Abstract Data Types),
które mogą być przydatne. Zawiera kolejki, dynamiczne tablice...

%package devel
Summary:	Headers for vanessa_adt development
Summary(pl.UTF-8):	Pliki nagłówkowe vanessa_adt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	vanessa_logger-devel >= 0.0.4

%description devel
Headers required to develop against vanessa_adt.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia prógramów z użyciem
vanessa_adt.

%package static
Summary:	Static libraries for vanessa_adt development
Summary(pl.UTF-8):	Biblioteki statyczne vanessa_adt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries to develop against vanessa_adt.

%description static -l pl.UTF-8
Biblioteki statyczne vanessa_adt.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/libvanessa_adt.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvanessa_adt.so
%{_libdir}/libvanessa_adt.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libvanessa_adt.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vanessa_adt.spec,v $
Revision 1.26  2008/07/27 23:00:41  arekm
- release 2

Revision 1.25  2007-02-12 22:09:19  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.23  2006/09/27 21:27:17  arekm
- up to 0.0.7

Revision 1.22  2006/01/13 15:06:01  qboosh
- added missing libtoolize

Revision 1.21  2006/01/12 23:35:07  glen
- aclocal, auto{header,make} added (fixes libtool tag issue)
- shared library is without .so, rather weird

Revision 1.20  2004/12/22 01:25:55  zbyniu
- it is not c++; __autoconf (thnx qboosh)

Revision 1.19  2004/12/21 17:41:58  zbyniu
- BR: gcc-c++

Revision 1.18  2004/07/01 16:19:59  zergin
- version up
- patch by Zbyniu Krzystolik

Revision 1.17  2004/03/27 20:20:31  mwinkler
- strict deps

Revision 1.16  2003/08/12 09:40:13  qboosh
- -devel R: vanessa_logger-devel

Revision 1.15  2003/08/12 09:38:09  qboosh
- 0.0.4, updated URLs, cleanups

Revision 1.14  2003/05/28 13:02:32  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:27:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/08/08 13:58:51  areq
- 0.0.3, STBR

Revision 1.9  2002/08/06 08:08:50  kloczek
- release 3: use new %doc.

Revision 1.8  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.7  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:26  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/12 11:43:32  qboosh
- separated -static, fixed stupid dependencies, added pl translation; release 2

Revision 1.3  2002/02/12 02:02:10  kloczek
- adapterized.

Revision 1.2  2002/02/10 03:31:47  blues
- BR: vanessa_logger-devel

Revision 1.1  2002/02/10 03:23:16  blues
brand new
